GDBserver

Typedefs | Functions
proc-service.c File Reference
`#include "server.h"`
`#include "linux-low.h"`
`#include "gdb_proc_service.h"`

Go to the source code of this file.

## Typedefs
typedef struct ps_prochandle * | gdb_ps_prochandle_t
typedef void * | gdb_ps_read_buf_t
typedef const void * | gdb_ps_write_buf_t
typedef size_t | gdb_ps_size_t

## Functions
ps_err_e | ps_pglobal_lookup (gdb_ps_prochandle_t ph, const char *obj, const char *name, psaddr_t *sym_addr)
ps_err_e | ps_pdread (gdb_ps_prochandle_t ph, psaddr_t addr, gdb_ps_read_buf_t buf, gdb_ps_size_t size)
ps_err_e | ps_pdwrite (gdb_ps_prochandle_t ph, psaddr_t addr, gdb_ps_write_buf_t buf, gdb_ps_size_t size)
ps_err_e | ps_lgetregs (gdb_ps_prochandle_t ph, lwpid_t lwpid, prgregset_t gregset)
ps_err_e | ps_lsetregs (gdb_ps_prochandle_t ph, lwpid_t lwpid, const prgregset_t gregset)
ps_err_e | ps_lgetfpregs (gdb_ps_prochandle_t ph, lwpid_t lwpid, prfpregset_t *fpregset)
ps_err_e | ps_lsetfpregs (gdb_ps_prochandle_t ph, lwpid_t lwpid, const prfpregset_t *fpregset)
pid_t | ps_getpid (gdb_ps_prochandle_t ph)

## Typedef Documentation

## ◆ gdb_ps_prochandle_t

typedef struct ps_prochandle* gdb_ps_prochandle_t

Definition at line 31 of file proc-service.c.

## ◆ gdb_ps_read_buf_t

typedef void* gdb_ps_read_buf_t

Definition at line 32 of file proc-service.c.

## ◆ gdb_ps_size_t

typedef size_t gdb_ps_size_t

Definition at line 34 of file proc-service.c.

## ◆ gdb_ps_write_buf_t

typedef const void* gdb_ps_write_buf_t

Definition at line 33 of file proc-service.c.

## Function Documentation

## ◆ ps_getpid()

pid_t ps_getpid | ( | gdb_ps_prochandle_t | ph | ) |

Definition at line 162 of file proc-service.c.

References current_thread, and pid_of().

## ◆ ps_lgetfpregs()

ps_err_e ps_lgetfpregs | ( | gdb_ps_prochandle_t | ph,
|  | lwpid_t | lwpid,
|  | prfpregset_t * | fpregset
| ) |  |

Definition at line 142 of file proc-service.c.

References PS_ERR.

## ◆ ps_lgetregs()

ps_err_e ps_lgetregs | ( | gdb_ps_prochandle_t | ph,
|  | lwpid_t | lwpid,
|  | prgregset_t | gregset
| ) |  |

Definition at line 104 of file proc-service.c.

References current_thread, find_lwp_pid(), get_lwp_thread, get_thread_regcache(), pid_to_ptid(), PS_ERR, and PS_OK.

## ◆ ps_lsetfpregs()

ps_err_e ps_lsetfpregs | ( | gdb_ps_prochandle_t | ph,
|  | lwpid_t | lwpid,
|  | const prfpregset_t * | fpregset
| ) |  |

Definition at line 152 of file proc-service.c.

References PS_ERR.

## ◆ ps_lsetregs()

ps_err_e ps_lsetregs | ( | gdb_ps_prochandle_t | ph,
|  | lwpid_t | lwpid,
|  | const prgregset_t | gregset
| ) |  |

Definition at line 132 of file proc-service.c.

References PS_ERR.

## ◆ ps_pdread()

ps_err_e ps_pdread | ( | gdb_ps_prochandle_t | ph,
|  | psaddr_t | addr,
|  | gdb_ps_read_buf_t | buf,
|  | gdb_ps_size_t | size
| ) |  |

Definition at line 80 of file proc-service.c.

References PS_ERR, PS_OK, and read_inferior_memory().

## ◆ ps_pdwrite()

ps_err_e ps_pdwrite | ( | gdb_ps_prochandle_t | ph,
|  | psaddr_t | addr,
|  | gdb_ps_write_buf_t | buf,
|  | gdb_ps_size_t | size
| ) |  |

Definition at line 91 of file proc-service.c.

References PS_ERR, PS_OK, and write_inferior_memory().

## ◆ ps_pglobal_lookup()

ps_err_e ps_pglobal_lookup | ( | gdb_ps_prochandle_t | ph,
|  | const char * | obj,
|  | const char * | name,
|  | psaddr_t * | sym_addr
| ) |  |

Definition at line 64 of file proc-service.c.

References name, PS_NOSYM, PS_OK, and thread_db_look_up_one_symbol().